# ifndef CWRITE_COLOR_THEME_H
   # define CWRITE_COLOR_THEME_H
   
      // -- color pairs --
   extern short header_color_pair;
   extern short status_color_pair;
   extern short screen_color_pair;
   extern short block_color_pair;
   extern short selection_color_pair;
   extern short search_color_pair;
   extern short browse_color_pair;

   struct Color
      { int red;
        int green;
        int blue;
      };
   struct Color_Pair
      { int foreground;
        int background;
      };
   struct Color_Theme
      { //int color[8];
        Color color[8];
        Color_Pair header_line;
        Color_Pair status_line;
        Color_Pair screen;
        Color_Pair block;
        Color_Pair selection;
        Color_Pair search;
      };

   extern int color_theme_cardinal;

   extern void color_theme_init();
   extern void color_theme_set(int ordinal);
   extern void colors_browse();

# endif

