# ifndef CWRITE_H
   # define CWRITE_H

   # include <pwd.h>
   # include <shadow.h>

      // -- user data --
   extern passwd * _user_data;
   extern spwd * _user_spwd;
   extern char * _user_dir;
   extern char * _user_history;
   extern char * _user_preferences;
   extern char * _user_selection;

   # define USER_FILENAME_MAX 256

      // -- line ordinals --
   # define COMMAND_LINE 0
   # define HEADER_LINE  1
   # define STATUS_LINE  2

      // -- requests --
   extern bool exit_request;
   extern bool return_request;

      // -- cwrite files --
   extern char * _help_filename;
   extern char * _message_filename;

# endif
